# $Revision: 1.13 $, $Date: 2004/03/29 22:54:19 $
Summary:	Hercules S/370, ESA/390, and z/Architecture emulator
Summary(pl):	Emulator S/370, ESA/390 i z/Architecture
Name:		hercules
Version:	3.01
Release:	1
License:	QPL
Group:		Applications/Emulators
Source0:	http://www.conmicro.cx/hercules/%{name}-%{version}.tar.gz
# Source0-md5:	a410fa6446da025ef8aba0b25bf08caa
Patch0:		%{name}-gcrypt.patch
Patch1:		%{name}-nolibs.patch
URL:		http://www.conmicro.cx/hercules/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hercules is an emulator for the IBM System/370, ESA/390, and
z/Architecture series of mainframe computers. It is capable of running
any IBM operating system and applications that a real system will run,
as long as the hardware needed is emulated. Hercules can emulate FBA
and CKD DASD, tape, printer, card reader, card punch,
channel-to-channel adapter, LCS Ethernet, and printer-keyboard and
3270 terminal devices.

%description -l pl
Hercules to emulator komputerw mainframe IBM serii System/370,
ESA/390 i z/Architecture. Pozwala na uruchomienie dowolnego systemu
operacyjnego IBM i aplikacji dziaajcych na rzeczywistym systemie -
w takim zakresie, na jaki pozwala emulowany sprzt. Hercules potrafi
emulowa FBA i CKD DASD, napdy tamowe, drukarki, czytniki kart,
dziurkarki kart, interfejsy kanaowe, LCS Ethernet,
drukarko-klawiatury oraz terminale 3270.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/hercules,%{_bindir},%{_datadir}/hercules}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install hercules.cnf $RPM_BUILD_ROOT%{_sysconfdir}/hercules/sample.cnf
install util/zzsacard.bin $RPM_BUILD_ROOT%{_datadir}/hercules

# modules are dlopened by *.so
rm -f $RPM_BUILD_ROOT%{_libdir}/{*.la,hercules/*.la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%dir %{_libdir}/hercules
%attr(755,root,root) %{_libdir}/hercules/*.so
%dir %{_sysconfdir}/hercules
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/hercules/sample.cnf
%dir %{_datadir}/hercules
%{_datadir}/hercules/*.bin
%{_datadir}/hercules/*.html
%{_datadir}/hercules/*.jcl
%{_datadir}/hercules/*.hla
%{_datadir}/hercules/*.css
%dir %{_datadir}/hercules/images
%{_datadir}/hercules/images/*
%dir %{_datadir}/hercules/include
%{_datadir}/hercules/include/*
%{_mandir}/man1/cckddiag.1*
%{_mandir}/man1/dasdseq.1*
%{_mandir}/man4/cckd.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hercules.spec,v $
Revision 1.13  2004/03/29 22:54:19  qboosh
- added gcrypt,nolibs patches, BR: libgcrypt-devel, .so perms

Revision 1.12  2004/01/24 15:19:12  tommat
- version 3.01

Revision 1.11  2004/01/24 14:22:21  speedy
- %%{_gettextize} it.

Revision 1.10  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 17:34:46  misi3k
- rel 1
- updated to 2.17.1
- removed am patch
- added %%find_lang

Revision 1.8  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:48:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/10/09 13:14:33  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/06/26 05:40:13  kloczek
- release 2.

Revision 1.4  2002/06/24 21:26:32  qboosh
- pl description, noreplace for config, added missing dirs

Revision 1.3  2002/06/23 15:10:46  kloczek
- added ac_fxes and full ac/am files regeneration,
- added BuildRequires rule,
- fixed %build.

Revision 1.2  2002/06/23 14:17:22  speedy
- release 1, STBR

Revision 1.1  2002/06/23 14:10:28  speedy
- initial PLD spec
